package com.jeeplus.test.jobPosion.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableName;
import com.jeeplus.core.domain.BaseEntity;
import com.jeeplus.core.query.Query;
import com.jeeplus.test.jobPosion.annotation.ForUpdate;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * position_category
 * @author 
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("position_category")
public class PositionCategory extends BaseEntity {

    /**
     * 备注信息
     */
    private String remarks;

    /**
     * 职务分类名称
     */
    @Query
    @ForUpdate(fieldName = "职务分类名称")
    private String name;

    private static final long serialVersionUID = 1L;
}