package com.jeeplus.test.jobPosion.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Constants;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.jeeplus.test.jobPosion.domain.Position;
import com.jeeplus.test.jobPosion.mapper.PositionMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
@Transactional
public class PositionService extends ServiceImpl<PositionMapper, Position> {

    @Autowired
    private PositionMapper positionMapper;

    public IPage<Position> findList(Page<Position> page, QueryWrapper<Position> queryWrapper){
        queryWrapper.eq("p.del_flag","0");
        return positionMapper.findList(page, queryWrapper);
    }
}
